Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.projectjobscheduling.persistence
Class ProjectJobSchedulingImporter.ProjectJobSchedulingInputBuilder.ProjectFileInputBuilder

    java.lang.Object
      org.optaplanner.examples.common.persistence.AbstractSolutionImporter.InputBuilder
          org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter.TxtInputBuilder
              org.optaplanner.examples.projectjobscheduling.persistence.ProjectJobSchedulingImporter.ProjectJobSchedulingInputBuilder.ProjectFileInputBuilder

Enclosing class:
  ProjectJobSchedulingImporter.ProjectJobSchedulingInputBuilder

    public class ProjectJobSchedulingImporter.ProjectJobSchedulingInputBuilder.ProjectFileInputBuilder

extends AbstractTxtSolutionImporter.TxtInputBuilder

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter.TxtInputBuilder
`bufferedReader, inputFile`

Constructor Summary
`ProjectJobSchedulingImporter.ProjectJobSchedulingInputBuilder.ProjectFileInputBuilder(Schedule schedule, Project project)`

Method Summary
`Solution` | `readSolution()`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter.TxtInputBuilder
`factorial, getInputId, parseBooleanFromNumber, readConstantLine, readEmptyLine, readIntegerValue, readIntegerValue, readIntegerValue, readLongValue, readLongValue, readLongValue, readRegexConstantLine, readStringValue, readStringValue, readStringValue, readUntilConstantLine, removePrefixSuffixFromLine, setBufferedReader, setInputFile, splitBy, splitBy, splitByPipelineAndTrim, splitBySemicolonSeparatedValue, splitBySpace, splitBySpace, splitBySpace, splitBySpacesOrTabs, splitBySpacesOrTabs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectJobSchedulingImporter.ProjectJobSchedulingInputBuilder.ProjectFileInputBuilder

    public ProjectJobSchedulingImporter.ProjectJobSchedulingInputBuilder.ProjectFileInputBuilder(Schedule schedule,
                                                                                                 Project project)

Method Detail

### readSolution

    public Solution readSolution()
                          throws IOException

  Specified by:
    `readSolution` in class `AbstractTxtSolutionImporter.TxtInputBuilder`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.